Bug 4830 - LDAP valgrind message
LDAP valgrind message
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Other
unspecified
All All
: P3 normal
: ---
Assigned To: Andrew Bartlett
Andrew Bartlett
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-27 13:19 UTC by Matthias Dieter Wallnöfer
Modified: 2007-08-17 15:52 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Matthias Dieter Wallnöfer 2007-07-27 13:19:16 UTC
When I used a LDAP editor to rename a value I noticed a valgrind message:

==3115== Conditional jump or move depends on uninitialised value(s)
==3115==    at 0x86BB9EE: decode_manageDSAIT_request (ldap_controls.c:457)
==3115==    by 0x86BD277: ldap_decode_control_value (ldap_controls.c:1104)
==3115==    by 0x86B79F3: ldap_decode (ldap.c:1353)
==3115==    by 0x80C51E5: ldapsrv_decode (ldap_server.c:149)
==3115==    by 0x87ABF41: packet_recv (packet.c:381)
==3115==    by 0x80C5317: ldapsrv_recv (ldap_server.c:192)
==3115==    by 0x80DB969: stream_io_handler (service_stream.c:90)
==3115==    by 0x80DB9D9: stream_io_handler_fde (service_stream.c:104)
==3115==    by 0x87B3923: epoll_event_loop (events_standard.c:315)
==3115==    by 0x87B40C4: std_event_loop_once (events_standard.c:562)
==3115==    by 0x87B4132: std_event_loop_wait (events_standard.c:579)
==3115==    by 0x87B3077: event_loop_wait (events.c:302)
Comment 1 Andrew Bartlett 2007-08-05 23:08:08 UTC
I think I have fixed it with -r 24248, can you please verify?

Thanks!
Comment 2 Matthias Dieter Wallnöfer 2007-08-08 04:40:49 UTC
Thanks, I'll test it in a few days and when it isn't reproducible anymore, I'll close the bug.
Comment 3 Matthias Dieter Wallnöfer 2007-08-17 15:52:36 UTC
Seems not to be reproducible anymore. Thanks!